/*
;;;
;;;; t y p e . l
;;;;
;;;; xxl project -- Universite de Nice Sophia Antipolis
;;;;                U.F.R. Sciences - Maitrise d'Informatique
;;;;                project supervisor  V. Granet (vg@unice.fr)
;;;;
;;;; Copyright (C) 1996, 1997 U.N.S.A.
;;;; 
;;;; xxl is a free software.  Permission to use, copy, and/or distribute
;;;; this software and its documentation for any purpose and without fee is
;;;; hereby granted, provided that both the above copyright notice and this
;;;; permission notice appear in all copies and derived works. Fees for
;;;; distribution or use of this software or derived works are forbidden.
;;;; This software is provided ``as is'' without any warranty.
;;;; 
;;;;       Author    : Marie Monet
;;;;
;;;; Creation date   : 20-Jul-1997 8:11 
;;;; Last file update: 13-Jul-1998 10:13
;;;;
*/

NUM1            [+-]?[[:digit:]]+\.?([eE][+-]?[[:digit:]]+)
NUM2            [+-]?[[:digit:]]*\.[[:digit:]]+([eE][+-]?[[:digit:]]+)?
REAL            {NUM1}|{NUM2}

%%


"#t"                    { return TOK_TRUE;  }
"#f"                    { return TOK_FALSE; }
[-+]?[[:digit:]]+       { typelval.string = strdup(typetext);
                          return TOK_INT; 
                        }
{REAL}                  { typelval.string = strdup(typetext); 
                          return TOK_REAL; 
                        }
(.|\n)*                 { typelval.string = strdup(typetext); 
                          return TOK_STR;
                        }
%%
#include <string.h>

int typewrap() {return 1;}
